#!/bin/sh
set -efu

CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/bultitude.jar:/usr/share/java/plumbing.jar:/usr/share/java/core.async.jar:/usr/share/java/lazymap.jar:/usr/share/java/schema.jar:test

cp -a test "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

clojure \
    -cp $CLASSPATH \
    -e "(require '[clojure.test])" \
    -e "(require '[bultitude.core :as b])" \
    -e '(def all-tests (b/namespaces-on-classpath :classpath "test"))' \
    -e "(map #(require %) all-tests)" \
    -e '(System/exit (if (clojure.test/successful? (clojure.test/run-all-tests #"plumbing\.\S+-test")) 0 1))'
